
#if defined _ammopacks_included
  #endinput
#endif
#define _ammopacks_included

#define AP_HANDLED 120


/**
 * Dodaje item do managera ammo packow w base builder
 *
 * @param nazwa		Nazwa wyswietlana w menu
 * @param koszt		Koszt zakupu itemu
 * @param team		Team ktory moze kupic dany item
 * @return		ID extra itemu -1.
 */
native  dodaj_extra_item(const nazwa[],koszt,team)

/**
 * Zwraca liczbe ammo packow gracza
 *
 * @param index		id gracza
 * 
 * @return		liczba ammo packow
 */
native BB_get_user_ap(index)

/**
 * Ustawia graczowi dana liczbe ammopackow
 *
 * @param index		id gracza
 * @param ammount	Ilosc ammopackow
 *
 */
native BB_set_user_ap(index,ammount)


/**
 * Forward wywolywany gdy ktos kupi cos ze sklepiku
 *
 * Uwaga: Mozesz zwrocic wartosc AP_HANDLED zeby anulowac odjecie ammopackow po zakupiee
 * np if(get_user_flags(id)&ADMIN_BAN) return AP_HANDLED
 *
 * @param id		Id gracza kupujacego item
 * @param itemid	Globalne id itemu zwracane przez funkcje dodaj_extra_item
 */
forward wybrano_item(id, item_id)

